#! /usr/bin/env node
"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = __importStar(require("yargs"));
const createServer_1 = __importDefault(require("../createServer"));
const cli = yargs
    .usage('SQL Language Server Command Line Interface')
    .command('up', 'run sql-language-server', {
    method: {
        alias: 'm',
        type: 'string',
        default: 'node-ipc',
        choices: ['stdio', 'node-ipc'],
        describe: 'What use to communicate with sql language server'
    },
    'debug': {
        alias: 'd',
        type: 'boolean',
        default: false,
        describe: 'Enable debug logging'
    }
}, () => {
    createServer_1.default();
    process.stdin.resume();
})
    .example('$0 up --method stdio', ': start up sql-language-server - communicate via stdio')
    .help()
    .argv;
if (cli._.length === 0) {
    yargs.showHelp();
}
process.stdin.on('close', () => {
    process.exit(0);
});
//# sourceMappingURL=cli.js.map